Index: anuga_work/publications/anuga_2007/anuga_validation.tex
===================================================================
--- anuga_work/publications/anuga_2007/anuga_validation.tex	(revision 5242)
+++ anuga_work/publications/anuga_2007/anuga_validation.tex	(revision 5316)
@@ -3,5 +3,4 @@
 \documentclass[12pt,a4paper]{article}
 
-% create a pdf of this doc by using pdflatex
 % Do \emph{not} change the width nor the height of the text from the
 % defaults set by this document class.
@@ -22,5 +21,4 @@
 \usepackage{amsfonts}
 \usepackage{underscore}
-\usepackage{epstopdf}
 % Avoid loading unused packages (as done by some \LaTeX\ editors).
 
@@ -35,9 +33,9 @@
 \textsc{Australia}. \protect\url{mailto:Duncan.Gray@ga.gov.au}}\footnotemark[1]
 \and
-T.~Baldock\thanks{University of Queensland, Brisbane, \textsc{Australia}.
+T.~Baldock\thanks{University of Queensland, Brisbane, \textsc{Australia}. 
 \protect\url{mailto:tom.baldock@uq.edu.au}}\footnotemark[2]
 \and
 O.~M.~Nielsen\footnotemark[1]
-\and
+\and 
 M.~J.~Sexton\footnotemark[1]
 \and
@@ -85,8 +83,7 @@
 The core of \ANUGA{} is a \Python{} implementation of a finite-volume method
 for solving the conservative form of the Shallow Water Wave equation.
-In this paper we describe the model, the architecture and a range of
-validations that have been carried out to establish confidence in the model.
-
-
+
+In this paper, a number of tests are performed to validate \ANUGA{}. These tests
+range from benchmark problems to wave and flume tank examples.
 \ANUGA{} is available as Open Source to enable
 free access to the software and allow the scientific community to
@@ -115,24 +112,14 @@
 \label{sec:intro}
 
-The Indian Ocean tsunami on 26 December 2004 demonstrated the
-potentially catastrophic consequences of natural hazards.  While the
-scale of the impact from such events is not common, smaller-scale
-tsunami regularly threaten coastal communities
-around the world. Earthquakes which occur in the Java Trench near
-Indonesia (e.g.~\cite{TsuMIS1995} or \cite{Baldwin-2006}) and along
-the Puysegur Ridge to the south of New Zealand (e.g.~\cite{LebKC1998})
-have potential to generate tsunami that may threaten Australia's
-northwestern and southeastern coastlines. In addition, the
-preferential development of Australian coastal corridors means that
-inundation from hydrological disasters such as tsunami or storm-surge
-of even a few hundred metres beyond the shoreline has increased
-potential to cause significant disruption and loss. The extent of
+Hydrodynamic modelling allows impacts from flooding, storm-surge and
+tsunami to be better understood, their impacts to be anticipated and,
+with appropriate planning, their effects to be mitigated.  A significant
+proportion of the Australian population reside in the coastal
+corridors, thus the potential of significant disruption and loss
+is real.  The extent of
 inundation is critically linked to the event, tidal conditions,
 bathymetry and topography and it not feasible to make impact
 predictions using heuristics alone.
-
-Hydrodynamic modelling allows impacts from flooding, storm-surge and
-tsunami to be better understood, their impacts to be anticipated and,
-with appropriate planning, their effects to be mitigated.  Geoscience
+Geoscience
 Australia in collaboration with the Mathematical Sciences Institute,
 Australian National University, is developing a software application
@@ -141,7 +128,7 @@
 water equations which are described in section~\ref{sec:model}. In
 \ANUGA{} these equations are solved using a finite volume method as
-described in section~\ref{sec:fvm}.  A more complete discussion of the
+described in section~\ref{sec:model}.  A more complete discussion of the
 method can be found in \cite{modsim2005} where the model and solution
-technique is validated on a standard tsunami benchmark data set
+technique is validated on a standard tsunami benchmark data set 
 or in \cite{Roberts2007} where parallelisation of ANUGA is discussed.
 This modelling capability is part of
@@ -149,11 +136,42 @@
 understand the potential impact from natural hazards in order to
 reduce their impact on Australian communities (see \cite{Nielsen2006}).
-\ANUGA{} is currently being trialled for flood
+\ANUGA{} is currently being trialled for flood 
 modelling (see \cite{Rigby2008}).
 
-Section~\ref{sec:software} describes the software implementation and
-the API while section~\ref{sec:validation} presents some
-validation results.
-
+The validity of other hydrodynamic models have been reported elsewhere, 
+with Hubbard and Dodd (2002) \cite{Hubbard02} providing
+an excellent review of 1D and 2D models and associated validation tests. They
+described the evolution of these models from fixed, nested to adaptive grids 
+and the ability of the solvers to cope with the moving shoreline. They highlighted the
+difficulty in verify the nonlinear shallow water equations themselves as the only
+standard analytical solution is that of Carrier and Greenspan (1958) 
+\cite{Carrier58} that is strictly
+for non-breaking waves. Further, whilst there is a 2D analytic solution from Thacker (1981), it
+appears that the circular island wave tank example of Briggs et al will become
+the standard data set to verify the equations.
+
+This paper will describe the validation outputs in a similar way to Hubbard and Dodd 
+\cite{Hubbard02} to
+present an exhaustive validation of the numerical model. Further to these tests, we will
+incorporate a test to verify friction values. The six tests are:
+(1) verification against the 1D analytical solution of Carrier and Greenspan; 
+(2) testing against 1D (flume) data sets to verify wave height and velocity
+(3) determining friction values from 1D flume data sets; 
+(4) validation against a genuinely 2D analytical solution of the model equations; 
+(5) testing against the 2D Okushiri benchmark problem; and 
+(6) testing against the 2D data sets modelling wave run-up around a circular island by Briggs et al. 
+Throughout the paper, qualitative comparisons will be drawn against other models.
+
+%Hubbard and Dodd's model, OTT-2D, has some similarities to \ANUGA{}, and 
+%whilst the mesh can be refined, it is based on rectangular mesh.
+
+The \ANUGA{} model and numerical scheme is briefly described in section~\ref{sec:model}.
+A detailed description of the numerical scheme and software implementation can be found in 
+the MODSIM, CTAC etc papers. The six case studies to validation and verify \ANUGA{} will be
+presented in section~\ref{sec:validation}, with the conclusions 
+outlined in section~\ref{sec:conclusions}. 
+
+{\bf question - if the Okushiri result has already been presented in the
+MODSIM paper, how should it be presented in this paper? - simply refer to it I think}
 
 \section{Model}
@@ -205,8 +223,28 @@
 As demonstrated in our papers, \cite{modsim2005,Rob99l} these
 equations provide an excellent model of flows associated with
-inundation such as dam breaks and tsunamis.
+inundation such as dam breaks and tsunamis. Question - how do we
+know it is excellent? 
+
+\ANUGA{} uses a finite-volume method as 
+described in \cite{Rob991} where the study area is represented by an
+unstructured triangular mesh. The flexibility afforded by this approach
+is the ability for the user to refine the mesh in areas of interest.
+\ANUGA{} is mostly written in the object-oriented programming
+language \Python{} with computationally intensive parts implemented
+as highly optimised shared objects written in C. The API is a 
+\Python{} script where the user sets up the scenario. This script
+defines the study area, mesh refinement as well as initial and boundary conditions. 
+The user is free to update quantity values or boundary conditions through
+the simulation. Reference to user manual
+
+Could include here a brief overview of the numerical
+technique and reference the CTAC 2006 paper and has Steve written something
+that could be included?
 
 \section{Finite Volume Method}
 \label{sec:fvm}
+
+{\bf Jane: I don't think this section is needed here, but the 
+content is referred to at the end of section 1}
 
 We use a finite-volume method for solving the shallow water wave
@@ -310,4 +348,7 @@
 \label{sec:software}
 
+{\bf Jane: I don't think this section is needed here, but the 
+content is referred to at the end of section 1}
+ 
 \ANUGA{} is mostly written in the object-oriented programming
 language \Python{} with computationally intensive parts implemented
@@ -442,7 +483,91 @@
 
 \section{Validation}
-\label{sec:validation} The process of validating the \ANUGA{}
-application is in its early stages, however initial indications are
-encouraging.
+\label{sec:validation} Validation is an ongoing process and the purpose of this paper
+is to describe a range of tests that validate \ANUGA{} as a hydrodynamic model. 
+This section will describe the six tests outlined in section~\ref{sec:intro}.
+
+\subsection{1D analytical validation}
+
+Tom Baldock has done something here for that NSW report
+
+\subsection{Stage and Velocity Validation in a Flume}
+This section will describe flume tank experiments that were
+conducted at the Gordon McKay Hydraulics Laboratory at the University of
+Queensland that confirm \ANUGA{}'s ability to estimate wave height
+and velocity. The same flume tank simulations were also used
+to explore Manning's friction and this will be described in the next section.
+
+The flume was set up for dam-break experiments, having a
+water reservior at one end.  The flume was glass-sided, 3m long, 0.4m
+in wide, and 0.4m deep, with a PVC bottom. The reservoir in the flume
+was 0.75m long.  For this experiment the reservoir water was 0.2m
+deep. At time zero the reservoir gate is opened and the water flows
+into the other side of the flume.  The water ran up a flume slope of
+0.03 m/m.  To accurately model the bed surface a Manning's friction
+value of 0.01, representing PVC was used.
+
+% Neale, L.C. and R.E. Price.  Flow characteristics of PVC sewer pipe.
+% Journal of the Sanitary Engineering Division, Div. Proc 90SA3, ASCE.
+% pp. 109-129.  1964.
+
+Acoustic displacement sensors that produced a voltage that changed
+with the water depth was positioned 0.4m from the reservoir gate. The
+water velocity was measured with an Acoustic Doppler Velocimeter 0.45m
+from the reservoir gate.  This sensor only produced reliable results 4
+seconds after the reservoir gate opened, due to limitations of the sensor.
+
+
+% Validation UQ flume
+% at X:\anuga_validation\uq_sloped_flume_2008
+% run run_dam.py to create sww file and .csv files
+% run plot.py to create graphs heere automatically
+% The Coasts and Ports '2007 paper is in TRIM d2007-17186
+\begin{figure}[htbp]
+\centerline{\includegraphics[width=4in]{uq-flume-depth}}
+\caption{Comparison of wave tank and \ANUGA{} water height at .4 m
+  from the gate}\label{fig:uq-flume-depth}
+\end{figure}
+
+\begin{figure}[htbp]
+\centerline{\includegraphics[width=4in]{uq-flume-velocity}}
+\caption{Comparison of wave tank and \ANUGA{} water velocity at .45 m
+  from the gate}\label{fig:uq-flume-velocity}
+\end{figure}
+
+Figure~\ref{fig:uq-flume-depth} shows that ANUGA predicts the actual
+water depth very well, with the exception of the fluid tip-region {\bf
+Duncan - what does that mean? About where on the graph is that). 
+Water depth and velocity are coupled as described by the nonlinear shallow water equations, thus
+if one of these quantities accurately estimates the measured values, we would expect 
+the same for the other quantity. This is demonstrated in figure~\ref{fig:uq-flume-velocity)
+where the water velocity is also predicted accurately. Sediment transport studies
+rely on water velocity estimates in the region where the sensors cannot provide this data.
+With water velocity being accurately predicted, studies such as sediment transport can now use
+reliable estimates.
+
+
+\subsection{1D flume tank to verify friction}
+
+The same flume tank experimental setup was used to obtain friction values for
+use in hydrodynamic models. A number of bed friction scenarios were simulated in 
+the flume tank. The PVC bottom of the tank is equivalent to a friction value of 0 (i.e
+completely smooth) and small pebbles were used to cover the base of the tank and the
+aim of the experiment was to determine what the Manning's friction value is for 
+this case.
+ 
+As described in the model equations in \section~\ref{sec:model}, the bed
+friction is modelled using the Manning's model. 
+Validation of this model was carried out by comparing results
+from ANUGA against experimental results from flume wave tanks. 
+ 
+% Validation UQ friction
+% at X:\anuga_validation\uq_friction_2007
+% run run_dam.py to create sww file and .csv files
+% run plot.py to create graphs, and move them here
+\begin{figure}[htbp]
+\centerline{\includegraphics[width=4in]{uq-friction-depth}}
+\caption{Comparison of wave tank and \ANUGA{} water height at .4 m
+  from the gate, simulated using a Mannings friction of 0.0 and 0.1.}\label{fig:uq-friction-depth}
+\end{figure}
 
 \subsection{Okushiri Wavetank Validation}
@@ -460,4 +585,8 @@
 the Hokkaido tsunami should capture this run-up phenomenon.
 
+This dataset has been used by to validate tsunami models by
+a number of tsunami scientists. Examples include Titov ... lit review
+here on who has used this example for verification
+
 \begin{figure}[htbp]
 %\centerline{\includegraphics[width=4in]{okushiri-gauge-5.eps}}
@@ -477,5 +606,4 @@
 \end{figure}
 
-
 The wave tank simulation of the Hokkaido tsunami was used as the
 first scenario for validating \ANUGA{}. The dataset provided
@@ -483,11 +611,11 @@
 wave specifications. The dataset also contained water depth time
 series from three wave gauges situated offshore from the simulated
-inundation area. The \ANUGA{} model comprised $41404$ triangles
-and took about $2000$ s to run on a standard PC or $1500$ s
-on a 64-bit Opteron 2000 series Linux server.
+inundation area. The \ANUGA{} model comprised $41404$ triangles 
+and took about $2000$ s to run on a standard PC or $1500$ s 
+on a 64-bit Opteron 2000 series Linux server.  
 
 Figure~\ref{fig:val} compares the observed wave tank and modelled
 \ANUGA{} water depth (stage height) at one of the gauges. The plots
-show good agreement between the two time series, with \ANUGA{}
+show good agreement between the two time series, with \ANUGA{
 closely modelling the initial draw down, the wave shoulder and the
 subsequent reflections. The discrepancy between modelled and
@@ -502,73 +630,27 @@
 This successful replication of the tsunami wave tank simulation on a
 complex 3D beach is a positive first step in validating the \ANUGA{}
-modelling capability.
-
-\subsection{Manning's Friction Model Validation}
-
-% Validation UQ friction
-% at X:\anuga_validation\uq_friction_2007
-% run run_dam.py to create sww file and .csv files
-% run plot.py to create graphs, and move them here
-\begin{figure}[htbp]
-\centerline{\includegraphics[width=4in]{uq-friction-depth}}
-\caption{Comparison of wave tank and \ANUGA{} water height at .4 m
-  from the gate, simulated using a Mannings friction of 0.0 and 0.1.}\label{fig:uq-friction-depth}
-\end{figure}
-
- The bed friction is modelled in ANUGA using the Manning's
- model. Validation of this model was carried out by comparing results
- from ANUGA against experimental results from flume wave tanks. The
-experiments were carried out at the Gordon McKay Hydraulics Laboratory
-at St Lucia, University of Queensland.
-
-%The Manning's friction model is
-
-%To validate the friction model
-
-\subsection{Stage and Velocity Validation in a Flume}
-% Validation UQ flume
-% at X:\anuga_validation\uq_sloped_flume_2008
-% run run_dam.py to create sww file and .csv files
-% run plot.py to create graphs heere automatically
-% The Coasts and Ports '2007 paper is in TRIM d2007-17186
-\begin{figure}[htbp]
-\centerline{\includegraphics[width=4in]{uq-flume-depth}}
-\caption{Comparison of wave tank and \ANUGA{} water height at .4 m
-  from the gate}\label{fig:uq-flume-depth}
-\end{figure}
-
-\begin{figure}[htbp]
-\centerline{\includegraphics[width=4in]{uq-flume-velocity}}
-\caption{Comparison of wave tank and \ANUGA{} water velocity at .45 m
-  from the gate}\label{fig:uq-flume-velocity}
-\end{figure}
-
-Flume experiments caried out at the University of Queensland has also
-been used for validating the water height and velocity predicted by
-\ANUGA{}.  The Flume was set up for Dam-break experiments, having a
-water reservior at one end.  The flume was glass-sided, 3m long, 0.4m
-in wide, and 0.4m deep, with a PVC bottom. The reservoir in the flume
-was 0.75m long.  For this experiment the reservoir water was 0.2m
-deep. At time zero the reservoir gate is opened and the water flows
-into the other side of the flume.  The water ran up a flume slope of
-0.03 m/m.  To accurately model the bed surface a Manning's friction
-value of 0.01, representing PVC was used.
-
-% Neale, L.C. and R.E. Price.  Flow characteristics of PVC sewer pipe.
-% Journal of the Sanitary Engineering Division, Div. Proc 90SA3, ASCE.
-% pp. 109-129.  1964.
-
-Acoustic displacement sensors that produced a voltage that changed
-with the water depth was positioned 0.4m from the reservoir gate. The
-water velocity was measured with an Acoustic Doppler Velocimeter 0.45m
-from the reservoir gate.  This sensor only produced reliable results 4
-seconds after the reservoir gate opened, due to limitations of the sensor.
-
-Figure~\ref{fig:uq-flume-depth} show that ANUGA predicts the actual
-water depth very well, with the exception of the fluid tip-region. The
-water velocity is also predicted accurately.
-
-\subsection{Runup of Solitary wave on circular island wavetank validation}
-
+modelling capability. 
+
+\subsection{Runup of solitary wave on circular island wavetank validation}
+
+This section will describe the ANUGA results for the experiments conducted
+by Briggs et al (1995). Here, a 30x25m basin with a conical island is situated near
+the centre and a directional wavemaker is used to produce planar solitary waves of
+specified crest lenghts and heights. A series of gauges were distributed within the
+experimental setup. As described by Hubbard and Dodd \cite{Hubbard02}, a number of researchers
+have used this benchmark problem to test their numerical models. {\bf Jane: check
+whether these results are now avilable as they were not in 2002}. Hubbard and Dodd 
+\cite{Hubbard02} note that 
+a particular 3D model appears to obtain slightly better results than the 2D ones reported 
+but that 3D models are unlikely to be competitive in terms of computing power for
+applications in coastal engineering at least. Choi et al \cite{Choi07) use a 3D RANS model
+(based on the Navier-Stokes equations)
+for the same problem and find a very good comparison with laboratory and 2D numerical 
+results. An obvious advantage of the 3D model is its ability to investigate the
+velocity field and Choi et al also report on the limitation of depth-averaged
+2D models for run-up simulations of this type.
+
+Once results are availble, need to compare to Hubbard and Dodd and draw any conclusions
+from nested rectangular grid vs unstructured gird.
 Figure \ref{fig:circular screenshots} shows a sequence of screenshots depicting the evolution of the solitary wave as it hits the circular island.
 
@@ -596,9 +678,4 @@
 \clearpage
 
-\subsection{MAYBE, 1D analytical validation}
-
-
-
-
 \section{Conclusions}
 \label{sec:6}
@@ -618,9 +695,8 @@
 at \url{http://sourceforge.net/projects/anuga}.
 
+something about use on flood modelling community and their validation initiatives
+
 \bibliographystyle{plain}
 \bibliography{anuga-bibliography}
 
-
-
-
 \end{document}