Index: /anuga_work/publications/anuga_2007/anuga_validation.tex
===================================================================
--- /anuga_work/publications/anuga_2007/anuga_validation.tex	(revision 5321)
+++ /anuga_work/publications/anuga_2007/anuga_validation.tex	(revision 5322)
@@ -139,14 +139,15 @@
 modelling (see \cite{Rigby2008}).
 
-The validity of other hydrodynamic models have been reported elsewhere, 
-with Hubbard and Dodd (2002) \cite{Hubbard02} providing
-an excellent review of 1D and 2D models and associated validation tests. They
-described the evolution of these models from fixed, nested to adaptive grids 
-and the ability of the solvers to cope with the moving shoreline. They highlighted the
-difficulty in verify the nonlinear shallow water equations themselves as the only
-standard analytical solution is that of Carrier and Greenspan (1958) 
-\cite{Carrier58} that is strictly
-for non-breaking waves. Further, whilst there is a 2D analytic solution from Thacker (1981), it
-appears that the circular island wave tank example of Briggs et al will become
+The validity of other hydrodynamic models have been reported
+elsewhere, with Hubbard and Dodd (2002) \cite{Hubbard02} providing an
+excellent review of 1D and 2D models and associated validation
+tests. They described the evolution of these models from fixed, nested
+to adaptive grids and the ability of the solvers to cope with the
+moving shoreline. They highlighted the difficulty in verify the
+nonlinear shallow water equations themselves as the only standard
+analytical solution is that of Carrier and Greenspan (1958)
+\cite{Carrier58} that is strictly for non-breaking waves. Further,
+whilst there is a 2D analytic solution from Thacker (1981), it appears
+that the circular island wave tank example of Briggs et al will become
 the standard data set to verify the equations.
 
@@ -155,4 +156,5 @@
 present an exhaustive validation of the numerical model. Further to these tests, we will
 incorporate a test to verify friction values. The six tests are:
+
 (1) verification against the 1D analytical solution of Carrier and Greenspan; 
 (2) testing against 1D (flume) data sets to verify wave height and velocity
@@ -166,9 +168,10 @@
 %whilst the mesh can be refined, it is based on rectangular mesh.
 
-The \ANUGA{} model and numerical scheme is briefly described in section~\ref{sec:model}.
-A detailed description of the numerical scheme and software implementation can be found in 
-the MODSIM, CTAC etc papers. The six case studies to validation and verify \ANUGA{} will be
-presented in section~\ref{sec:validation}, with the conclusions 
-outlined in section~\ref{sec:conclusions}. 
+The \ANUGA{} model and numerical scheme is briefly described in
+section~\ref{sec:model}.  A detailed description of the numerical
+scheme and software implementation can be found in the MODSIM, CTAC
+etc papers. The six case studies to validation and verify \ANUGA{}
+will be presented in section~\ref{sec:validation}, with the
+conclusions outlined in section~\ref{sec:conclusions}.
 
 {\bf question - if the Okushiri result has already been presented in the
@@ -492,5 +495,5 @@
 
 \subsection{Stage and Velocity Validation in a Flume}
-This section will describe flume tank experiments that were
+This section will describe tilting flume tank experiments that were
 conducted at the Gordon McKay Hydraulics Laboratory at the University of
 Queensland that confirm \ANUGA{}'s ability to estimate wave height
@@ -502,5 +505,5 @@
 in wide, and 0.4m deep, with a PVC bottom. The reservoir in the flume
 was 0.75m long.  For this experiment the reservoir water was 0.2m
-deep. At time zero the reservoir gate is opened and the water flows
+deep. At time zero the reservoir gate is manually opened and the water flows
 into the other side of the flume.  The water ran up a flume slope of
 0.03 m/m.  To accurately model the bed surface a Manning's friction
@@ -551,17 +554,28 @@
 \subsection{1D flume tank to verify friction}
 
-The same flume tank experimental setup was used to obtain friction
-values for use in hydrodynamic models. A number of bed friction
-scenarios were simulated in the flume tank. The PVC bottom of the tank
-is equivalent to a friction value of 0 (i.e completely smooth) and
-small pebbles were used to cover the base of the tank and the aim of
-the experiment was to determine what the Manning's friction value is
-for this case.
+The same tilting flume tank was used to validate stage and velocity
+was used to validate the ANUGA friction model. A ground slope of 1:20,
+reservior lenght of 0.85m and damn depth of 0.4 m was used to verify
+the friction. The PVC bottom of the tank is equivalent to a friction
+value of 0.01. Depth sensors were placed 0.2, 0.3, 0.4, 0.5 and 0.6 m
+from the bed gate.
+
  
-As described in the model equations in \section~\ref{sec:model}, the bed
-friction is modelled using the Manning's model. 
+As described in the model equations in ~\ref{sec:model}, the bed
+friction is modelled using the Manning's model. {\bf Add the formula}
 Validation of this model was carried out by comparing results
 from ANUGA against experimental results from flume wave tanks. 
  
+This experiment was simulated twice by ANUGA: without using the
+friction model {\bf Duncan: It really used the friction model, with a
+value of 0.0, representing no friction model.  Is it ok to say
+'without using the model?'} and using the friction model with a
+Manning's friction value of 0.01.  The results from both of these
+simulations were compared against the experimental flume tank results
+using the Root Mean Square Relative Error (RMSRE). The RMSRE was
+summed over all of the depth sensors, for the first 30 seconds of the
+experiment.
+
+
 % Validation UQ friction
 % at X:\anuga_validation\uq_friction_2007