Index: /anuga_core/source/anuga/shallow_water/fullokada_MS.lic
===================================================================
--- /anuga_core/source/anuga/shallow_water/fullokada_MS.lic	(revision 5328)
+++ /anuga_core/source/anuga/shallow_water/fullokada_MS.lic	(revision 5328)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<ga_license_file>
+  <metadata>
+    <author>Herve Damlamian</author>
+  </metadata>
+  
+  <datafile>
+    <filename>fullokada_MS.txt</filename>
+    <checksum>88429353</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Jane Sexton</accountable>
+    <source>Output from fortran code of Okada. MS = multiple source</source>
+    <IP_owner>SOPAC and Geoscience Australia.  </IP_owner>
+    <IP_info></IP_info>
+  </datafile>
+  
+  </ga_license_file>
Index: /anuga_core/source/anuga/shallow_water/fullokada_SP.lic
===================================================================
--- /anuga_core/source/anuga/shallow_water/fullokada_SP.lic	(revision 5328)
+++ /anuga_core/source/anuga/shallow_water/fullokada_SP.lic	(revision 5328)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<ga_license_file>
+  <metadata>
+    <author>Herve Damlamian</author>
+  </metadata>
+  
+  <datafile>
+    <filename>fullokada_SP.txt</filename>
+    <checksum>88429353</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Jane Sexton</accountable>
+    <source>Output from fortran code of Okada. SP = source point</source>
+    <IP_owner>SOPAC and Geoscience Australia.  </IP_owner>
+    <IP_info></IP_info>
+  </datafile>
+  
+  </ga_license_file>
Index: /anuga_core/source/anuga/shallow_water/fullokada_SS.lic
===================================================================
--- /anuga_core/source/anuga/shallow_water/fullokada_SS.lic	(revision 5328)
+++ /anuga_core/source/anuga/shallow_water/fullokada_SS.lic	(revision 5328)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="iso-8859-1"?>
+
+<ga_license_file>
+  <metadata>
+    <author>Herve Damlamian</author>
+  </metadata>
+  
+  <datafile>
+    <filename>fullokada_MS.txt</filename>
+    <checksum>88429353</checksum>
+    <publishable>Yes</publishable>
+    <accountable>Jane Sexton</accountable>
+    <source>Output from fortran code of Okada. SS = single source</source>
+    <IP_owner>SOPAC and Geoscience Australia.  </IP_owner>
+    <IP_info></IP_info>
+  </datafile>
+  
+  </ga_license_file>
Index: uga_core/source/anuga/shallow_water/fullokadka_MS.lic
===================================================================
--- /anuga_core/source/anuga/shallow_water/fullokadka_MS.lic	(revision 5327)
+++ 	(revision )
@@ -1,18 +1,0 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-<ga_license_file>
-  <metadata>
-    <author>Herve Damlamian</author>
-  </metadata>
-  
-  <datafile>
-    <filename>fullokada_MS.txt</filename>
-    <checksum>88429353</checksum>
-    <publishable>Yes</publishable>
-    <accountable>Jane Sexton</accountable>
-    <source>Output from fortran code of Okada. MS = multiple source</source>
-    <IP_owner>SOPAC and Geoscience Australia.  </IP_owner>
-    <IP_info></IP_info>
-  </datafile>
-  
-  </ga_license_file>
Index: uga_core/source/anuga/shallow_water/fullokadka_SP.lic
===================================================================
--- /anuga_core/source/anuga/shallow_water/fullokadka_SP.lic	(revision 5327)
+++ 	(revision )
@@ -1,18 +1,0 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-<ga_license_file>
-  <metadata>
-    <author>Herve Damlamian</author>
-  </metadata>
-  
-  <datafile>
-    <filename>fullokada_SP.txt</filename>
-    <checksum>88429353</checksum>
-    <publishable>Yes</publishable>
-    <accountable>Jane Sexton</accountable>
-    <source>Output from fortran code of Okada. SP = source point</source>
-    <IP_owner>SOPAC and Geoscience Australia.  </IP_owner>
-    <IP_info></IP_info>
-  </datafile>
-  
-  </ga_license_file>
Index: uga_core/source/anuga/shallow_water/fullokadka_SS.lic
===================================================================
--- /anuga_core/source/anuga/shallow_water/fullokadka_SS.lic	(revision 5327)
+++ 	(revision )
@@ -1,18 +1,0 @@
-<?xml version="1.0" encoding="iso-8859-1"?>
-
-<ga_license_file>
-  <metadata>
-    <author>Herve Damlamian</author>
-  </metadata>
-  
-  <datafile>
-    <filename>fullokada_MS.txt</filename>
-    <checksum>88429353</checksum>
-    <publishable>Yes</publishable>
-    <accountable>Jane Sexton</accountable>
-    <source>Output from fortran code of Okada. SS = single source</source>
-    <IP_owner>SOPAC and Geoscience Australia.  </IP_owner>
-    <IP_info></IP_info>
-  </datafile>
-  
-  </ga_license_file>