Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/test_quantity.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/test_quantity.py	(revision 5348)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/test_quantity.py	(revision 5349)
@@ -884,7 +884,8 @@
         os.remove(pts_file)
         
-    def verbose_test_set_values_from_UTM_pts(self):
+    def test_set_values_from_UTM_pts(self):
         quantity = Quantity(self.mesh_onslow)
 
+        VERBOSE = False # Change this to True to see output
         #Get (enough) datapoints
         data_points = [[-21.5, 114.5],[-21.4, 114.6],[-21.45,114.65],
@@ -941,5 +942,5 @@
         #Check that values can be set from file
         quantity.set_values_from_file(pts_file, att, 0,
-                                      'vertices', None, verbose = True,
+                                      'vertices', None, verbose = VERBOSE,
                                       max_read_lines=2)
         answer = linear_function(quantity.domain.get_vertex_coordinates())
@@ -949,5 +950,5 @@
 
         #Check that values can be set from file
-        quantity.set_values(filename = pts_file,
+        quantity.set_values(filename = pts_file, verbose = VERBOSE,
                             attribute_name = att, alpha = 0)
         answer = linear_function(quantity.domain.get_vertex_coordinates())
@@ -961,4 +962,9 @@
         assert allclose(quantity.vertex_values.flat, answer)
 
+        #Check that values can be block read from a text file
+        quantity.set_values_from_file(txt_file, att, 0,
+                                      'vertices', None, verbose = VERBOSE,
+                                      max_read_lines=2)
+        
         #Cleanup
         import os
@@ -2348,4 +2354,4 @@
     #print "restricted test"
     #suite = unittest.makeSuite(Test_Quantity,'verbose_test_set_values_from_UTM_pts')
-    runner = unittest.TextTestRunner()
+    runner = unittest.TextTestRunner() #verbosity=2)
     runner.run(suite)
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py	(revision 5348)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py	(revision 5349)
@@ -19,5 +19,5 @@
 from anuga.geospatial_data.geospatial_data import ensure_absolute
 from math import sqrt, atan, degrees
-
+from exceptions import IOError
 
 
@@ -179,8 +179,8 @@
     try:
         fid = open(filename)
-    except Exception, e:
+    except IOError, e:
         msg = 'File "%s" could not be opened: Error="%s"'\
                   %(filename, e)
-        raise msg
+        raise IOError, msg # So IOErrors can be caught
 
     line = fid.readline()
Index: /anuga_core/source/anuga/fit_interpolate/fit.py
===================================================================
--- /anuga_core/source/anuga/fit_interpolate/fit.py	(revision 5348)
+++ /anuga_core/source/anuga/fit_interpolate/fit.py	(revision 5349)
@@ -2,4 +2,5 @@
 
    Implements a penalised least-squares fit.
+   putting point data onto the mesh.
 
    The penalty term (or smoothing term) is controlled by the smoothing
Index: /anuga_core/source/anuga/fit_interpolate/test_fit.py
===================================================================
--- /anuga_core/source/anuga/fit_interpolate/test_fit.py	(revision 5348)
+++ /anuga_core/source/anuga/fit_interpolate/test_fit.py	(revision 5349)
@@ -1,3 +1,8 @@
 #!/usr/bin/env python
+
+"""
+Note, fitting/blocking is also tested in
+test_quantity.test_set_values_from_UTM_pts.
+"""
 
 #TEST
Index: /anuga_core/source/anuga/geospatial_data/geospatial_data.py
===================================================================
--- /anuga_core/source/anuga/geospatial_data/geospatial_data.py	(revision 5348)
+++ /anuga_core/source/anuga/geospatial_data/geospatial_data.py	(revision 5349)
@@ -728,7 +728,6 @@
         file pointer position
         """
-
         from Scientific.IO.NetCDF import NetCDFFile
-        
+        #print "Starting to block"
         #FIXME - what to do if the file isn't there
 
@@ -739,5 +738,4 @@
         if self.max_read_lines is None:
             self.max_read_lines = MAX_READ_LINES
-        
         if self.file_name[-4:] == ".pts":
             
@@ -833,4 +831,5 @@
             # Assume the file is a csv file
             try:
+                #print "self.max_read_lines", self.max_read_lines
                 pointlist, att_dict, geo_ref, self.file_pointer = \
                    _read_csv_file_blocking( self.file_pointer,