Index: /anuga_work/publications/anuga_2007/anuga-bibliography.bib
===================================================================
--- /anuga_work/publications/anuga_2007/anuga-bibliography.bib	(revision 5354)
+++ /anuga_work/publications/anuga_2007/anuga-bibliography.bib	(revision 5355)
@@ -1,3 +1,3 @@
-@INPROCEEDINGS{modsim2005,
+@INPROCEEDINGS{Nielsen2005,
   AUTHOR =       {O. Nielsen and S. Roberts and D. Gray and A. McPherson and A. Hitchman},
   TITLE =        {Hydrodynamic modelling of coastal inundation},
Index: /anuga_work/publications/anuga_2007/anuga_validation.tex
===================================================================
--- /anuga_work/publications/anuga_2007/anuga_validation.tex	(revision 5354)
+++ /anuga_work/publications/anuga_2007/anuga_validation.tex	(revision 5355)
@@ -16,5 +16,4 @@
 
 % Local LaTeX commands
-\newcommand{\ANUGA}{ANUGA} %{\textsc{ANUGA}}
 %\newcommand{\Python}{\textsc{Python}}
 %\newcommand{\VPython}{\textsc{VPython}}
@@ -76,11 +75,11 @@
 communities.  Geoscience Australia and the Australian National
 University have developed a hydrodynamic inundation modelling tool
-called \ANUGA{} to help simulate the impact of these hazards.
-The core of \ANUGA{} is a Python implementation of a finite-volume method
+called ANUGA to help simulate the impact of these hazards.
+The core of ANUGA is a Python implementation of a finite-volume method
 for solving the conservative form of the Shallow Water Wave equation.
 
-In this paper, a number of tests are performed to validate \ANUGA{}. These tests
+In this paper, a number of tests are performed to validate ANUGA. These tests
 range from benchmark problems to wave and flume tank examples.
-\ANUGA{} is available as Open Source to enable
+ANUGA is available as Open Source to enable
 free access to the software and allow the scientific community to
 use, validate and contribute to the software in the future.
@@ -128,21 +127,22 @@
 Australia in collaboration with the Mathematical Sciences Institute,
 Australian National University, is developing a software application
-called \ANUGA{} to model the hydrodynamics of floods, storm surges and
+called ANUGA to model the hydrodynamics of floods, storm surges and
 tsunami. These hazards are modelled using the conservative shallow
 water equations which are described in section~\ref{sec:model}. In
-\ANUGA{} these equations are solved using a finite volume method as
+ANUGA these equations are solved using a finite volume method as
 described in section~\ref{sec:model}.  A more complete discussion of the
-method can be found in \citet{modsim2005} where the model and solution
+method can be found in \citet{Nielsen2005} where the model and solution
 technique is validated on a standard tsunami benchmark data set 
-or in \citet{Roberts2007} where parallelisation of ANUGA is discussed.
+or in \citet{Roberts2007} where the numerical method and parallelisation 
+of ANUGA is discussed.
 This modelling capability is part of
 Geoscience Australia's ongoing research effort to model and
 understand the potential impact from natural hazards in order to
 reduce their impact on Australian communities \citep{Nielsen2006}.
-\ANUGA{} is currently being trialled for flood 
+ANUGA is currently being trialled for flood 
 modelling \citep{Rigby2008}.
 
 The validity of other hydrodynamic models have been reported
-elsewhere, with Hubbard and Dodd \citep{Hubbard02} providing an
+elsewhere, with \citet{Hubbard02} providing an
 excellent review of 1D and 2D models and associated validation
 tests. They described the evolution of these models from fixed, nested
@@ -150,12 +150,12 @@
 moving shoreline. They highlighted the difficulty in verify the
 nonlinear shallow water equations themselves as the only standard
-analytical solution is that of Carrier and Greenspan
-\citep{Carrier58} that is strictly for non-breaking waves. Further,
-whilst there is a 2D analytic solution from Thacker (1981), it appears
+analytical solution is that of \citet{Carrier58} that is strictly for 
+non-breaking waves. Further,
+whilst there is a 2D analytic solution from \citet{Thacker81}, it appears
 that the circular island wave tank example of Briggs et al will become
 the standard data set to verify the equations.
 
 This paper will describe the validation outputs in a similar way to 
-Hubbard and Dodd \citep{Hubbard02} to
+\citet{Hubbard02} to
 present an exhaustive validation of the numerical model. 
 Further to these tests, we will
@@ -164,16 +164,15 @@
 \begin{itemize}
   \item Verification against the 1D analytical solution of Carrier and 
-  Greenspan (Section \ref{sec:carrier}) 
-  \item Testing against 1D (flume) data sets to verify wave height and velocity 
-  (Section \ref{sec:stage and velocity})
+  Greenspan (p~\pageref{sec:carrier}) 
+  \item Testing against 1D (flume) data sets to verify wave height and 
+  velocity (p~\pageref{sec:stage and velocity})
   \item Determining friction values from 1D flume data sets 
-  (Section \ref{sec:friction})
-  \item Validation against a genuinely 2D analytical solution of the
-  model equations
-  (Section \ref{sec:XXX}) 
+  (p~\pageref{sec:friction})
+  \item Validation against a genuinely 2D analytical 
+  solution of the model equations (p~\ref{sec:XXX}) 
   \item Testing against the 2D Okushiri benchmark problem
-  (Section \ref{sec:okushiri})    
+  (p~\pageref{sec:okushiri})    
   \item Testing against the 2D data sets modelling wave run-up around a circular island by Briggs et al. 
-  (Section \ref{sec:circular island}) 
+  (p~\pageref{sec:circular island}) 
 \end{itemize}   
 
@@ -181,5 +180,5 @@
 Throughout the paper, qualitative comparisons will be drawn against
 other models.  Moreover, all source code necessary to reproduce the
-results reported in this paper is available as part of the \ANUGA{}
+results reported in this paper is available as part of the ANUGA
 distribution in the form of a test suite. It is thus possible for
 anyone to readily verify that the implementation meets the
@@ -187,11 +186,12 @@
  
 
-%Hubbard and Dodd's model, OTT-2D, has some similarities to \ANUGA{}, and 
+%Hubbard and Dodd's model, OTT-2D, has some similarities to ANUGA, and 
 %whilst the mesh can be refined, it is based on rectangular mesh.
 
-The \ANUGA{} model and numerical scheme is briefly described in
-section~\ref{sec:model}.  A detailed description of the numerical
-scheme and software implementation can be found in the MODSIM, CTAC
-etc papers. The six case studies to validation and verify \ANUGA{}
+%The ANUGA model and numerical scheme is briefly described in
+%section~\ref{sec:model}.  A more detailed description of the numerical
+%scheme and software implementation can be found in \citet{Nielsen2005} and 
+%\citet{Roberts2007}. 
+The six case studies to validation and verify ANUGA
 will be presented in section~\ref{sec:validation}, with the
 conclusions outlined in section~\ref{sec:conclusions}.
@@ -208,8 +208,8 @@
 \citet{Stoker57} and \citet{Peregrine67} for the background or 
 \citet{Roberts1999} for more details on the mathematical model 
-used by \ANUGA{}.
+used by ANUGA.
 
 The conservation form of the shallow water wave 
-equations used in \ANUGA{} are:
+equations used in ANUGA are:
 \[
 \frac{\partial \UU}{\partial t}+\frac{\partial \EE}{\partial
@@ -258,5 +258,5 @@
 %%know it is excellent? 
 
-\ANUGA{} uses a finite-volume method as 
+ANUGA uses a finite-volume method as 
 described in \citet{Roberts2007} where the study area is represented by an
 unstructured triangular mesh in which the vector of conserved quantities 
@@ -268,5 +268,5 @@
 
 
-The approach used in \ANUGA{} are distinguished from many 
+The approach used in ANUGA are distinguished from many 
 other implementations (e.g. \citet{Hubbard02} or \citet{Zhang07}) by the 
 following features:
@@ -278,9 +278,9 @@
     critical flow transitions using one general approach. We have
     found this scheme to be pleasingly simple, robust and efficient.
-    \item \ANUGA{} does not employ a shoreline detection algorithm as the 
+    \item ANUGA does not employ a shoreline detection algorithm as the 
     central-upwind scheme is capable of resolving fluxes arising between 
-    wet and dry cells. \ANUGA{} does optionally bypass unnecessary 
+    wet and dry cells. ANUGA does optionally bypass unnecessary 
     computations for dry-dry cell boundaries for purely performance reasons.
-    \item \ANUGA{} employs a second order spatial reconstruction of triangles 
+    \item ANUGA employs a second order spatial reconstruction of triangles 
     to produce a piece-wise linear function construction of the conserved 
     quantities. This function is allowed to be discontinuous across the 
@@ -316,5 +316,5 @@
 
 
-\ANUGA{} utilises a general velocity limiter described in the 
+ANUGA utilises a general velocity limiter described in the 
 manual which guarantees a gradual compression of computed velocities
 in the presence of very shallow depths:
@@ -326,5 +326,5 @@
 
 
-\ANUGA{} is mostly written in the object-oriented programming
+ANUGA is mostly written in the object-oriented programming
 language Python with computationally intensive parts implemented
 as highly optimised shared objects written in C.
@@ -335,5 +335,5 @@
 language syntax. In addition, Python's automatic memory management,
 dynamic typing, object model and vast number of libraries means that
-\ANUGA scripts can be produced quickly and can be adapted fairly easily to
+ANUGA scripts can be produced quickly and can be adapted fairly easily to
 changing requirements.
 
@@ -342,5 +342,5 @@
 \section{Validation}
 \label{sec:validation} Validation is an ongoing process and the purpose of this paper
-is to describe a range of tests that validate \ANUGA{} as a hydrodynamic model. 
+is to describe a range of tests that validate ANUGA as a hydrodynamic model. 
 This section will describe the six tests outlined in section~\ref{sec:intro}.
 Run times where specified measure the model time only and exclude model setup, 
@@ -358,5 +358,5 @@
 This section will describe tilting flume tank experiments that were
 conducted at the Gordon McKay Hydraulics Laboratory at the University of
-Queensland that confirm \ANUGA{}'s ability to estimate wave height
+Queensland that confirm ANUGA's ability to estimate wave height
 and velocity. The same flume tank simulations were also used
 to explore Manning's friction and this will be described in the next section.
@@ -389,5 +389,5 @@
 \begin{figure}[htbp]
 \centerline{\includegraphics[width=4in]{uq-flume-depth}}
-\caption{Comparison of wave tank and \ANUGA{} water height at .4 m
+\caption{Comparison of wave tank and ANUGA water height at .4 m
   from the gate}\label{fig:uq-flume-depth}
 \end{figure}
@@ -395,5 +395,5 @@
 \begin{figure}[htbp]
 \centerline{\includegraphics[width=4in]{uq-flume-velocity}}
-\caption{Comparison of wave tank and \ANUGA{} water velocity at .45 m
+\caption{Comparison of wave tank and ANUGA water velocity at .45 m
   from the gate}\label{fig:uq-flume-velocity}
 \end{figure}
@@ -450,5 +450,5 @@
 \begin{figure}[htbp]
 \centerline{\includegraphics[width=4in]{uq-friction-depth}}
-\caption{Comparison of wave tank and \ANUGA{} water height at .4 m
+\caption{Comparison of wave tank and ANUGA water height at .4 m
   from the gate, simulated using a Mannings friction of 0.0 and
   0.1.}\label{fig:uq-friction-depth}
@@ -478,5 +478,5 @@
 \centerline{\includegraphics[width=4in]{ch7.png}}
 \centerline{\includegraphics[width=4in]{ch9.png}}
-\caption{Comparison of wave tank and \ANUGA{} water stages at gauge
+\caption{Comparison of wave tank and ANUGA water stages at gauge
 5,7 and 9.}\label{fig:val}
 \end{figure}
@@ -486,14 +486,14 @@
 \centerline{\includegraphics[width=4in]{okushiri-model.jpg}}
 \caption{Complex reflection patterns and run-up into Monai Valley
-simulated by \ANUGA{} and visualised using our netcdf OSG
+simulated by ANUGA and visualised using our netcdf OSG
 viewer.}\label{fig:run}
 \end{figure}
 
 The wave tank simulation of the Hokkaido tsunami was used as the
-first scenario for validating \ANUGA{}. The dataset provided
+first scenario for validating ANUGA. The dataset provided
 bathymetry and topography along with initial water depth and the
 wave specifications. The dataset also contained water depth time
 series from three wave gauges situated offshore from the simulated
-inundation area. The \ANUGA{} model comprised $41404$ triangles 
+inundation area. The ANUGA model comprised $41404$ triangles 
 and took about $1330$ s to run on the test platform described in 
 Section~\ref{sec:validation}.
@@ -504,6 +504,6 @@
 
 Figure~\ref{fig:val} compares the observed wave tank and modelled
-\ANUGA{} water depth (stage height) at one of the gauges. The plots
-show good agreement between the two time series, with \ANUGA{
+ANUGA water depth (stage height) at one of the gauges. The plots
+show good agreement between the two time series, with ANUGA
 closely modelling the initial draw down, the wave shoulder and the
 subsequent reflections. The discrepancy between modelled and
@@ -511,5 +511,5 @@
 condition in the physical tank not being uniformly zero. Similarly
 good comparisons are evident with data from the other two gauges.
-Additionally, \ANUGA{} replicates exceptionally well the 32~m Monai
+Additionally, ANUGA replicates exceptionally well the 32~m Monai
 Valley run-up, and demonstrates its occurrence to be due to the
 interaction of the tsunami wave with two juxtaposed valleys above
@@ -517,5 +517,5 @@
 
 This successful replication of the tsunami wave tank simulation on a
-complex 3D beach is a positive first step in validating the \ANUGA{}
+complex 3D beach is a positive first step in validating the ANUGA
 modelling capability. 
 
@@ -570,5 +570,5 @@
 \section{Conclusions}
 \label{sec:conclusions}
-\ANUGA{} is a flexible and robust modelling system
+ANUGA is a flexible and robust modelling system
 that simulates hydrodynamics by solving the shallow water wave
 equation in a triangular mesh. It can model the process of wetting
@@ -576,11 +576,11 @@
 capturing hydraulic shocks due to the ability of the finite-volume
 method to accommodate discontinuities in the solution.
-\ANUGA{} can take as input bathymetric and topographic datasets and
+ANUGA can take as input bathymetric and topographic datasets and
 simulate the behaviour of riverine flooding, storm surge,
 tsunami or even dam breaks.
-Initial validation using wave tank data supports \ANUGA{}'s
+Initial validation using wave tank data supports ANUGA's
 ability to model complex scenarios. Further validation will be
 pursued as additional datasets become available.
-The \ANUGA{} source code is available
+The ANUGA source code and validation case studies reported here are available
 at \url{http://sourceforge.net/projects/anuga}.
 